﻿print("|cff009cffSnappys Scripts|r Thanks for using my addon")


BuffFrame:SetScale(1.25)
BUFF_WARNING_TIME = 3 -- seconds for buffs to start flashing

local frame = CreateFrame("Frame", "CVarSet")
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:SetScript(
  "OnEvent",
  function(self, event, ...)
    -- cvars
    SetCVar("nameplateMaxDistance", 80)
    SetCVar("ffxGlow", "0")
    SetCVar("ffxDeath", "0")
    SetCVar("ffxNether", "0")
    SetCVar("cameraDistanceMaxZoomFactor", 4.0)
    SetCVar("chatClassColorOverride", 0)
    SetCVar("ShowClassColorInFriendlyNameplate", 1)
    if (ScriptsDB.GENERAL.LUA_ERRORS) then
      SetCVar("scriptErrors", "1")
    else
      SetCVar("scriptErrors", "0")
    end
  end
)

-- Shaman Coloring
RAID_CLASS_COLORS["SHAMAN"] = {r = 050 / 255, g = 111 / 255, b = 255 / 255, colorStr = "ff326fff"}

-- add quest marks in NPC dialog
local _G = _G
local tinsert = tinsert
local GetFileIDFromPath = GetFileIDFromPath
local MAX_NUM_QUESTS = MAX_NUM_QUESTS

local ACTIVE_QUEST_ICON_FILEID = GetFileIDFromPath("Interface\\GossipFrame\\ActiveQuestIcon")
local AVAILABLE_QUEST_ICON_FILEID = GetFileIDFromPath("Interface\\GossipFrame\\AvailableQuestIcon")

local titleLines = {}
local questIconTextures = {}
for i = 1, MAX_NUM_QUESTS do
  local titleLine = _G["QuestTitleButton" .. i]
  tinsert(titleLines, titleLine)
  tinsert(questIconTextures, _G[titleLine:GetName() .. "QuestIcon"])
end
QuestFrameGreetingPanel:HookScript(
  "OnShow",
  function()
    for i, titleLine in ipairs(titleLines) do
      if (titleLine:IsVisible()) then
        local bulletPointTexture = questIconTextures[i]
        if (titleLine.isActive == 1) then
          bulletPointTexture:SetTexture(ACTIVE_QUEST_ICON_FILEID)
        else
          bulletPointTexture:SetTexture(AVAILABLE_QUEST_ICON_FILEID)
        end
      end
    end
  end
)
